policyeditor(1)

NAME
policyeditor - view and modify security policy settings for javaws and the browser plugin

SYNOPSIS
policyeditor
policyeditor [-file] policy_file [-codebase] url

DESCRIPTION
policyeditor is a GUI application with small command line support to view and edit applet security policy settings used by the icedtea-web implementation of javaws and the browser plugin. It is intended as a simpler, easier to use, and more accessible alternative to the standard JDK Policy Tool. Administrators and power users who need fine grained control over policy files should probably use Policy Tool instead of PolicyEditor. If executed without any arguments, no file is opened, and saving the file will result in a prompt on where to save it. Otherwise, if a file path is given as a command line argument, then that file path will be opened and parsed as a policy file.

OPTIONS

-help
    Prints a short help text and exits.

-file policy_file
    Specifies a policy file path to open. If exactly one argument is given, and it is not this flag, it is interpreted as a file path to open, as if this flag was given first. This flag exists mostly for compatibility with Policy Tool, but is also needed when opening a policy file and also using the -codebase flag.

-codebase url
    Specifies an applet codebase URL. If the specified codebase already exists in the policy file (if any), then it will be selected when the editor opens. If it is a new codebase then it will be added and selected. Multiple URLs may also be given with a single -codebase flag by separating them with spaces. In this case, the last codebase given will be selected, and all will be added. If this flag is given more than once, only the first is used.

EXAMPLES

policyeditor
    Show the GUI editor

policyeditor -file $HOME/.config/icedtea-web/security/java.policy
    Opens the default user-level policy file location

FILES
$HOME/.config/icedtea-web/security/java.policy the default user-level policy file location

BUGS
There aren't any known bugs. If you come across one, please file it at
    http://icedtea.classpath.org/bugzilla/

AUTHOR
Written and maintained by the IcedTea contributors.

SEE ALSO
policytool(1), javaws(1), java(1)
http://icedtea.classpath.org/wiki/IcedTea-Web